# DocumentDataType enum

Supported document types

Inheritance
  - Object
  - Enum
  - DocumentDataType
Available extensions
  - EnumName

## Values

DE_ID_CARD_FRONT → const DocumentDataType

  German ID card, front side */

DE_ID_CARD_BACK → const DocumentDataType

  German ID card, back side */

DE_PASSPORT → const DocumentDataType

  German travel passport (Reisepass) */

DE_DRIVER_LICENSE_FRONT → const DocumentDataType

  German driver license (Führerschein), front side */

DE_DRIVER_LICENSE_BACK → const DocumentDataType

  German driver license (Führerschein), back side */

DE_RESIDENCE_PERMIT_FRONT → const DocumentDataType

  German Residence Permit (Aufenthaltstitel), front side */

DE_RESIDENCE_PERMIT_BACK → const DocumentDataType

  German Residence Permit (Aufenthaltstitel), back side */

DE_HEALTH_INSURANCE_CARD_FRONT → const DocumentDataType

  German health insurance card, front side */

EU_HEALTH_INSURANCE_CARD → const DocumentDataType

  European health insurance card */

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
index → int
  A numeric identifier for the enumerated value.
  no setter inherited
name → String

  Available on Enum, provided by the EnumName extension

  The name of the enum value.
  no setter
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

values → const List<DocumentDataType>
  A constant List of the values in this enum, in order of their declaration.